import QtQuick 2.11
import QtCharts 2.2
import QtQuick.Controls 2.4

Page {
    width: 600
    height: 400
    property alias text : label.text;
    property alias chartView : chartView;

    header: Label {
        text: qsTr("Page 1")
        font.pixelSize: Qt.application.font.pixelSize * 2
        padding: 10
    }

    Label {
        id: label;
        text: qsTr("You are on Page 1.")
        anchors.centerIn: parent
    }
    ChartView{
        id: chartView;
        width: 400
        height: 300
        antialiasing: true
        LineSeries {
            name: "LineSeries"
            XYPoint { x: 0; y: 0 }
            XYPoint { x: 1.1; y: 2.1 }
            XYPoint { x: 1.9; y: 3.3 }
            XYPoint { x: 2.1; y: 2.1 }
            XYPoint { x: 2.9; y: 4.9 }
            XYPoint { x: 3.4; y: 3.0 }
            XYPoint { x: 4.1; y: 3.3 }
        }
    }
}
