#ifndef CUSTOMOBJECT_H
#define CUSTOMOBJECT_H

#include <QObject>
#include <QTimer>

class CustomObject : public QObject
{
    Q_OBJECT
public:
    explicit CustomObject(QObject *parent = nullptr);

signals:
    void textChanged(const QString value, QObject* pointer);

public slots:
    void changeText(QObject *pointer);
};

#endif // CUSTOMOBJECT_H
