#ifndef OBJECTCALLER_H
#define OBJECTCALLER_H

#include <QObject>

class ObjectCaller : public QObject
{
    Q_OBJECT
public:
    explicit ObjectCaller(QObject *parent = nullptr);

signals:
    void textChanged(const QString value, QObject* pointer);
    void doubleReply(QObject* chartViewPtr, const double chartMin, const double chartMax);

public slots:
    void callMe(const QString value);
    void callMeD(QObject* pointer,const double chartMin, const double chartMax);
};

#endif // OBJECTCALLER_H
